# string::contains

[This is preliminary documentation and subject to change.]

Tests whether the specified string contains the given search string.

### Usage

`bool string::contains(source, value)`

### Parameters

Name | Type | Description
--- | --- | ---
source | string | The string to search.
value | string | The string to locate within source.

### Return Value

true if value is found in source; otherwise, false.

### Remarks

This function performs a case-sensitive word search using the invariant culture.

### Examples

-     string::contains('testing string', 'test') ==> true

-     string::contains('testing string', '') ==> true

-     string::contains('testing string', 'Test') ==> false

-     string::contains('testing string', 'foo') ==> false

### Requirements

Assembly: NAnt.Core (0.85.1932.0)